Home

Sei Cosmos REST API

v1.0.0
Base URL
https://sei.nownodes.ioNOWNodes Sei mainnet Cosmos REST endpoint.

Queries Sei mainnet accounts, balances, staking, governance, transactions, and Cosmos SDK module state through NOWNodes.

Authentication

api-keyAuthapiKey

NOWNodes API key.

API Key: api-key in header

Sei Cosmos REST API

default

Get common account information

GET
https://sei.nownodes.io/cosmos/auth/v1beta1/account_info/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns common account information for the specified account address.

Parameters

addressstringrequiredpath

address is the account address string.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

List accounts

GET
https://sei.nownodes.io/cosmos/auth/v1beta1/accounts

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns a paginated list of existing accounts. Use a small pagination.limit to bound the response.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get account details

GET
https://sei.nownodes.io/cosmos/auth/v1beta1/accounts/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns account details for the specified account address.

Parameters

addressstringrequiredpath

address defines the address to query for.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get an address by account number

GET
https://sei.nownodes.io/cosmos/auth/v1beta1/address_by_id/{id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Resolves an account number to its Bech32 address. Set path id to 0 and pass the account number in the account-id query parameter.

Parameters

idinteger<int64>>= 0requiredpath

Account number whose Bech32 address is requested.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get the account address prefix

GET
https://sei.nownodes.io/cosmos/auth/v1beta1/bech32

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the Bech32 prefix used for account addresses; cosmos on Sei.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

List module accounts

GET
https://sei.nownodes.io/cosmos/auth/v1beta1/module_accounts

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns accounts managed by Cosmos SDK modules.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get a module account

GET
https://sei.nownodes.io/cosmos/auth/v1beta1/module_accounts/{name}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns module account details for the specified module name.

Parameters

namestringrequiredpath

Name that identifies the represented resource.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get auth parameters

GET
https://sei.nownodes.io/cosmos/auth/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns auth module parameters.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get all account balances

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/balances/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the balance of all coins for a single account.

Parameters

addressstringrequiredpath

address is the address to query balances for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

resolve_denombooleanquery

resolve_denom is the flag to resolve the denom into a human-readable form from the metadata.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a balance by denomination

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/balances/{address}/by_denom

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns one coin balance for the specified account and denomination.

Parameters

addressstringrequiredpath

address is the address to query balances for.

denomstringquery

denom is the coin denom to query balances for.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List holders of a denomination

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/denom_owners/{denom}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns for all account addresses that own a particular token denomination.

Parameters

denomstringrequiredpath

denom defines the coin denomination to query all account holders for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

List holders by denomination query

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/denom_owners_by_query

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns for all account addresses that own a particular token denomination.

Parameters

denomstringquery

denom defines the coin denomination to query all account holders for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

List denomination metadata

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/denoms_metadata

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns metadata for registered coin denominations.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get denomination metadata

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/denoms_metadata/{denom}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns metadata for the specified coin denomination.

Parameters

denomstringrequiredpath

denom is the coin denom to query the metadata for.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get denomination metadata by query

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/denoms_metadata_by_query_string

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns metadata for the coin denomination supplied as a query parameter.

Parameters

denomstringquery

denom is the coin denom to query the metadata for.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get bank parameters

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns bank module parameters.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get token transfer permissions

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/send_enabled

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns only denominations with explicit SendEnabled entries; all others use params.default_send_enabled .

Parameters

denomsArray<string>query

denoms is the specific denoms you want look up. Leave empty to get all entries.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get spendable account balances

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/spendable_balances/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the spendable balance of all coins for a single account.

Parameters

addressstringrequiredpath

address is the address to query spendable balances for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a spendable balance by denomination

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/spendable_balances/{address}/by_denom

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the spendable balance of a single denom for a single account.

Parameters

addressstringrequiredpath

address is the address to query balances for.

denomstringquery

denom is the coin denom to query balances for.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get total coin supply

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/supply

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the total supply of all coins.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get supply by denomination

GET
https://sei.nownodes.io/cosmos/bank/v1beta1/supply/by_denom

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the supply of a single coin.

Parameters

denomstringquery

denom is the coin denom to query balances for.

Response

200OK

A successful response.

400Bad Request

Invalid request.

500Internal Server Error

Error returned by the live Sei endpoint.

default

An unexpected error response.

Query application state

GET
https://sei.nownodes.io/cosmos/base/tendermint/v1beta1/abci_query

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Queries application state using a supported ABCI path and Base64-encoded key bytes without broadcasting a transaction.

Parameters

datastring<byte>query

Operation-specific encoded data or transaction execution output.

pathstringquery

Application state query path.

heightstring<int64>query

Block height as a decimal value; omit optional height to query the latest state.

provebooleanquery

Whether the response includes a Merkle proof.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get the latest block

GET
https://sei.nownodes.io/cosmos/base/tendermint/v1beta1/blocks/latest

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the latest block available from the node.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a block by height

GET
https://sei.nownodes.io/cosmos/base/tendermint/v1beta1/blocks/{height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the block at the specified height.

Parameters

heightstring<int64>requiredpath

Block height as a decimal value; omit optional height to query the latest state.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get node information

GET
https://sei.nownodes.io/cosmos/base/tendermint/v1beta1/node_info

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns information about the connected node and network.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get synchronization status

GET
https://sei.nownodes.io/cosmos/base/tendermint/v1beta1/syncing

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns whether the node is currently syncing.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get the latest validator set

GET
https://sei.nownodes.io/cosmos/base/tendermint/v1beta1/validatorsets/latest

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the latest validator set.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a validator set by height

GET
https://sei.nownodes.io/cosmos/base/tendermint/v1beta1/validatorsets/{height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the validator set at the specified block height.

Parameters

heightstring<int64>requiredpath

Block height as a decimal value; omit optional height to query the latest state.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get node configuration

GET
https://sei.nownodes.io/cosmos/base/node/v1beta1/config

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns node operator configuration exposed by the API.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get node status

GET
https://sei.nownodes.io/cosmos/base/node/v1beta1/status

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the current node status.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get community pool balances

GET
https://sei.nownodes.io/cosmos/distribution/v1beta1/community_pool

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the distribution module community pool balances.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get all rewards for a delegator

GET
https://sei.nownodes.io/cosmos/distribution/v1beta1/delegators/{delegator_address}/rewards

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns accrued staking rewards for a delegator across validators.

Parameters

delegator_addressstringrequiredpath

delegator_address defines the delegator address to query for.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get rewards for one delegation

GET
https://sei.nownodes.io/cosmos/distribution/v1beta1/delegators/{delegator_address}/rewards/{validator_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns accrued staking rewards for one delegator-validator pair.

Parameters

delegator_addressstringrequiredpath

delegator_address defines the delegator address to query for.

validator_addressstringrequiredpath

validator_address defines the validator address to query for.

Response

200OK

A successful response.

400Bad Request

Error returned by the live Sei endpoint.

default

An unexpected error response.

List validators for a delegator

GET
https://sei.nownodes.io/cosmos/distribution/v1beta1/delegators/{delegator_address}/validators

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns validators that have delegations from the specified delegator.

Parameters

delegator_addressstringrequiredpath

delegator_address defines the delegator address to query for.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get the reward withdrawal address

GET
https://sei.nownodes.io/cosmos/distribution/v1beta1/delegators/{delegator_address}/withdraw_address

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the reward withdrawal address for the specified delegator.

Parameters

delegator_addressstringrequiredpath

delegator_address defines the delegator address to query for.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get distribution parameters

GET
https://sei.nownodes.io/cosmos/distribution/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns distribution module parameters.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get validator distribution information

GET
https://sei.nownodes.io/cosmos/distribution/v1beta1/validators/{validator_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns distribution information for the specified validator.

Parameters

validator_addressstringrequiredpath

validator_address defines the validator address to query for.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get validator commission

GET
https://sei.nownodes.io/cosmos/distribution/v1beta1/validators/{validator_address}/commission

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns accumulated commission for the specified validator.

Parameters

validator_addressstringrequiredpath

validator_address defines the validator address to query for.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get outstanding validator rewards

GET
https://sei.nownodes.io/cosmos/distribution/v1beta1/validators/{validator_address}/outstanding_rewards

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns outstanding rewards for the specified validator.

Parameters

validator_addressstringrequiredpath

validator_address defines the validator address to query for.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List validator slash events

GET
https://sei.nownodes.io/cosmos/distribution/v1beta1/validators/{validator_address}/slashes

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns slash events for the specified validator.

Parameters

validator_addressstringrequiredpath

validator_address defines the validator address to query for.

starting_heightstringquery

starting_height defines the optional starting height to query the slashes.

ending_heightstringquery

starting_height defines the optional ending height to query the slashes.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List evidence records

GET
https://sei.nownodes.io/cosmos/evidence/v1beta1/evidence

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns submitted evidence records.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get evidence by hash

GET
https://sei.nownodes.io/cosmos/evidence/v1beta1/evidence/{hash}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns evidence based on evidence hash. No live evidence sample was available, so no request or successful response example is supplied.

Parameters

hashstringrequiredpath

hash defines the evidence hash of the requested evidence.

Response

200OK

A successful response.

400Bad Request

Invalid request.

404Not Found

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get gov parameters

GET
https://sei.nownodes.io/cosmos/gov/v1beta1/params/{params_type}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns governance parameters for the requested parameter type.

Parameters

params_typestringrequiredpath

params_type defines which parameters to query for, can be one of "voting", "tallying" or "deposit".

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List governance proposals

GET
https://sei.nownodes.io/cosmos/gov/v1beta1/proposals

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns governance proposals, optionally filtered by status, voter, or depositor.

Parameters

proposal_statusstringPROPOSAL_STATUS_UNSPECIFIEDPROPOSAL_STATUS_DEPOSIT_PERIODPROPOSAL_STATUS_VOTING_PERIODPROPOSAL_STATUS_PASSEDPROPOSAL_STATUS_REJECTEDPROPOSAL_STATUS_FAILEDPROPOSAL_STATUS_UNSPECIFIEDquery

Lifecycle status used to filter governance proposals.

voterstringquery

voter defines the voter address for the proposals.

depositorstringquery

depositor defines the deposit addresses from the proposals.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a governance proposal

GET
https://sei.nownodes.io/cosmos/gov/v1beta1/proposals/{proposal_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns details for the specified governance proposal.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List proposal deposits

GET
https://sei.nownodes.io/cosmos/gov/v1beta1/proposals/{proposal_id}/deposits

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns deposits submitted for the specified proposal.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a proposal deposit

GET
https://sei.nownodes.io/cosmos/gov/v1beta1/proposals/{proposal_id}/deposits/{depositor}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns single deposit information based on proposalID, depositor address.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

depositorstringrequiredpath

depositor defines the deposit addresses from the proposals.

Response

200OK

A successful response.

400Bad Request

Error returned by the live Sei endpoint.

404Not Found

Response returned by the verified Sei endpoint.

default

An unexpected error response.

Get a proposal vote tally

GET
https://sei.nownodes.io/cosmos/gov/v1beta1/proposals/{proposal_id}/tally

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the current vote tally for the specified proposal.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List proposal votes

GET
https://sei.nownodes.io/cosmos/gov/v1beta1/proposals/{proposal_id}/votes

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns votes submitted for the specified proposal.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a proposal vote

GET
https://sei.nownodes.io/cosmos/gov/v1beta1/proposals/{proposal_id}/votes/{voter}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns voted information based on proposalID, voterAddr.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

voterstringrequiredpath

voter defines the voter address for the proposals.

Response

200OK

A successful response.

400Bad Request

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get the governance constitution

GET
https://sei.nownodes.io/cosmos/gov/v1/constitution

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the on-chain governance constitution.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get gov parameters

GET
https://sei.nownodes.io/cosmos/gov/v1/params/{params_type}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns governance v1 parameters for the requested parameter type.

Parameters

params_typestringrequiredpath

params_type defines which parameters to query for, can be one of "voting", "tallying" or "deposit".

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

List governance proposals

GET
https://sei.nownodes.io/cosmos/gov/v1/proposals

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns governance v1 proposals, optionally filtered by status, voter, or depositor.

Parameters

proposal_statusstringPROPOSAL_STATUS_UNSPECIFIEDPROPOSAL_STATUS_DEPOSIT_PERIODPROPOSAL_STATUS_VOTING_PERIODPROPOSAL_STATUS_PASSEDPROPOSAL_STATUS_REJECTEDPROPOSAL_STATUS_FAILEDPROPOSAL_STATUS_UNSPECIFIEDquery

Lifecycle status used to filter governance proposals.

voterstringquery

voter defines the voter address for the proposals.

depositorstringquery

depositor defines the deposit addresses from the proposals.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get a governance proposal

GET
https://sei.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns details for the specified governance v1 proposal.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

List proposal deposits

GET
https://sei.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}/deposits

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns deposits submitted for the specified governance v1 proposal.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get a proposal deposit

GET
https://sei.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}/deposits/{depositor}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns single deposit information based on proposalID, depositAddr.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

depositorstringrequiredpath

depositor defines the deposit addresses from the proposals.

Response

200OK

A successful response.

400Bad Request

Invalid request.

404Not Found

Response returned by the verified Sei endpoint.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get a proposal vote tally

GET
https://sei.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}/tally

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the current vote tally for the specified governance v1 proposal.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

List proposal votes

GET
https://sei.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}/votes

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns votes submitted for the specified governance v1 proposal.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get a proposal vote

GET
https://sei.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}/votes/{voter}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns voted information based on proposalID, voterAddr.

Parameters

proposal_idstringrequiredpath

proposal_id defines the unique id of the proposal.

voterstringrequiredpath

voter defines the voter address for the proposals.

Response

200OK

A successful response.

400Bad Request

Response returned by the verified Sei endpoint.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get annual mint provisions

GET
https://sei.nownodes.io/cosmos/mint/v1beta1/annual_provisions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the current annual provisions used by the mint module.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get mint inflation

GET
https://sei.nownodes.io/cosmos/mint/v1beta1/inflation

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the current mint inflation value.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get mint parameters

GET
https://sei.nownodes.io/cosmos/mint/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns mint module parameters.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get params parameters

GET
https://sei.nownodes.io/cosmos/params/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns a module parameter by subspace and key.

Parameters

subspacestringquery

subspace defines the module to query the parameter for.

keystringquery

key defines the key of the parameter in the subspace.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List legacy parameter subspaces

GET
https://sei.nownodes.io/cosmos/params/v1beta1/subspaces

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Lists legacy parameter subspaces and their registered keys.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get slashing parameters

GET
https://sei.nownodes.io/cosmos/slashing/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns slashing module parameters.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List validator signing records

GET
https://sei.nownodes.io/cosmos/slashing/v1beta1/signing_infos

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns validator signing information records.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a validator signing record

GET
https://sei.nownodes.io/cosmos/slashing/v1beta1/signing_infos/{cons_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns signing information for the specified consensus address.

Parameters

cons_addressstringrequiredpath

cons_address is the address to query signing info of

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List delegations for an account

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/delegations/{delegator_addr}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns all delegations of a given delegator address.

Parameters

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List account redelegations

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/delegators/{delegator_addr}/redelegations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns redelegations of given address.

Parameters

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

src_validator_addrstringquery

src_validator_addr defines the validator address to redelegate from.

dst_validator_addrstringquery

dst_validator_addr defines the validator address to redelegate to.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List account unbonding delegations

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/delegators/{delegator_addr}/unbonding_delegations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns all unbonding delegations of a given delegator address.

Parameters

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List validators for a delegator

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/delegators/{delegator_addr}/validators

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns all validators info for given delegator address.

Parameters

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a delegated validator

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/delegators/{delegator_addr}/validators/{validator_addr}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns validator information for a delegator-validator pair.

Parameters

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

Response

200OK

A successful response.

400Bad Request

Invalid request.

500Internal Server Error

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get historical staking information

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/historical_info/{height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns historical staking information for the specified height.

Parameters

heightstring<int64>requiredpath

height defines at which height to query the historical info.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get staking parameters

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns staking module parameters.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get staking pool totals

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/pool

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns bonded and unbonded token totals from the staking pool.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List validators

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/validators

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns all validators that match the given status.

Parameters

statusstringquery

status enables to query for validators matching a given status.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get validator information

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/validators/{validator_addr}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns information for the specified validator.

Parameters

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List delegations to a validator

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/validators/{validator_addr}/delegations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns delegate info for given validator.

Parameters

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a delegation

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/validators/{validator_addr}/delegations/{delegator_addr}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns delegation information for a validator-delegator pair.

Parameters

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

Response

200OK

A successful response.

400Bad Request

Invalid request.

404Not Found

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get an unbonding delegation

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/validators/{validator_addr}/delegations/{delegator_addr}/unbonding_delegation

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns unbonding delegation information for a validator-delegator pair.

Parameters

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

Response

200OK

A successful response.

400Bad Request

Invalid request.

404Not Found

Error returned by the live Sei endpoint.

default

An unexpected error response.

List unbonding delegations for a validator

GET
https://sei.nownodes.io/cosmos/staking/v1beta1/validators/{validator_addr}/unbonding_delegations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns unbonding delegations of a validator.

Parameters

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Decode a protobuf transaction

POST
https://sei.nownodes.io/cosmos/tx/v1beta1/decode

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Decodes a Base64-encoded transaction into its JSON representation. A live response example is intentionally omitted because this request accepts transaction data.

Body

application/json

TxDecodeRequest is the request type for the Cosmos.TxDecode RPC method.

tx_bytesstring

tx_bytes is the raw transaction.

Response

200OK

A successful response.

400Bad Request

Invalid request.

default

An unexpected error response.

Decode an Amino transaction

POST
https://sei.nownodes.io/cosmos/tx/v1beta1/decode/amino

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

TxDecodeAmino decodes an Amino transaction from encoded bytes to JSON. A live response example is intentionally omitted because this request accepts transaction data.

Body

application/json

TxDecodeAminoRequest is the request type for the Cosmos.TxDecodeAmino RPC method.

amino_binarystring

Base64-encoded Amino transaction bytes.

Response

200OK

A successful response.

400Bad Request

Invalid request.

default

An unexpected error response.

Encode a protobuf transaction

POST
https://sei.nownodes.io/cosmos/tx/v1beta1/encode

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Encodes a JSON transaction into its protobuf byte representation. A live response example is intentionally omitted because this request accepts transaction data.

Body

application/json

TxEncodeRequest is the request type for the Cosmos.TxEncode RPC method.

txobject

tx is the transaction to encode.

Show child attributes
bodyobject

TxBody is the body of a transaction that all signers sign over.

Show child attributes
messagesArray<object>

Messages to execute. Their required signers determine the order of signer_infos and signatures; the first unique signer is the primary fee payer.

Show child attributes
@typestring

Fully qualified protobuf message type, prefixed by a slash.

memostring

memo is any arbitrary note/comment to be added to the transaction. WARNING: in clients, any publicly exposed text should not be called memo, but should be called note instead (see

timeout_heightstring

Last block height at which the transaction can be accepted; zero disables the height timeout.

extension_optionsArray<object>

List of extension options entries returned or accepted by the operation.

Show child attributes
@typestring

Fully qualified protobuf message type, prefixed by a slash.

non_critical_extension_optionsArray<object>

List of non critical extension options entries returned or accepted by the operation.

Show child attributes
@typestring

Fully qualified protobuf message type, prefixed by a slash.

unorderedboolean

Whether unordered.

timeout_timestampstring | null

RFC 3339 timestamp representing timeout timestamp.

auth_infoobject

AuthInfo describes the fee and signer modes that are used to sign a transaction.

Show child attributes
signer_infosArray<object>

Object containing signer infos data.

Show child attributes
public_keyobject

Arbitrary serialized protobuf message. @type identifies the embedded message type; its decoded fields appear beside @type in JSON, while well-known types use value.

Show child attributes
@typestring

Fully qualified protobuf message type, prefixed by a slash.

mode_infoobject

ModeInfo describes the signing mode of a single or nested multisig signer.

Show child attributes
singleobject

Structured single data used by the operation.

Show child attributes
modestringSIGN_MODE_UNSPECIFIED

Schema for mode.

multiobject

Structured multi data used by the operation.

Show child attributes
bitarrayobject

Object containing bitarray data.

Show child attributes
extra_bits_storedinteger<int64>

Number of meaningful bits in the last byte of a compact bit array.

elemsstring<byte>

Base64-encoded bytes of a compact bit array.

mode_infosArray<object>

List of mode infos entries returned or accepted by the operation.

sequencestring

sequence is the sequence of the account, which describes the number of committed transactions signed by a given address. It is used to prevent replay attacks.

feeobject

Object containing fee data.

Show child attributes
amountArray<object>

Token amount expressed in the denomination's smallest units.

Show child attributes
denomstring

Schema for denom.

amountstring

Token amount expressed in the denomination's smallest units.

gas_limitstring

Maximum gas units authorized for the transaction.

payerstring

Object containing payer data.

granterstring

Bech32-encoded address of the account granting authorization.

tipobject | null

Tip is the optional tip used for transactions fees paid in another denom. This field is ignored if the chain didn't enable tips, i.e. didn't add the TipDecorator in its posthandler.

Show child attributes
amountArray<object>

Token amount expressed in the denomination's smallest units.

Show child attributes
denomstring

Schema for denom.

amountstring

Token amount expressed in the denomination's smallest units.

tipperstring

Bech32 address of the account paying the transaction tip.

signaturesArray<string>

signatures is a list of signatures that matches the length and order of AuthInfo's signer_infos to allow connecting signature meta information like public key and signing mode by position.

Response

200OK

A successful response.

400Bad Request

Invalid request.

default

An unexpected error response.

Encode an Amino transaction

POST
https://sei.nownodes.io/cosmos/tx/v1beta1/encode/amino

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

TxEncodeAmino encodes an Amino transaction from JSON to encoded bytes. A live response example is intentionally omitted because this request accepts transaction data.

Body

application/json

TxEncodeAminoRequest is the request type for the Cosmos.TxEncodeAmino RPC method.

amino_jsonstring

Amino JSON transaction serialized as a JSON string.

Response

200OK

A successful response.

400Bad Request

Invalid request.

default

An unexpected error response.

Simulate transaction execution

POST
https://sei.nownodes.io/cosmos/tx/v1beta1/simulate

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Object containing post data.

Body

application/json

SimulateRequest is the request type for the Cosmos.Simulate RPC method.

tx_bytesstring

tx_bytes is the raw transaction.

Response

200OK

A successful response.

400Bad Request

Invalid request.

default

An unexpected error response.

Search indexed transactions

GET
https://sei.nownodes.io/cosmos/tx/v1beta1/txs

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns transactions matching an event query. Use query, page, and limit.

Parameters

order_bystringORDER_BY_UNSPECIFIEDORDER_BY_ASCORDER_BY_DESCORDER_BY_UNSPECIFIEDquery

Object containing parameters data.

pagestringquery

page is the page number to query, starts at 1. If not provided, will default to first page.

limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

querystringquery

query defines the transaction event query that is proxied to Tendermint's TxSearch RPC method. The query must be valid. Since cosmos-sdk 0.50

Response

200OK

A successful response.

400Bad Request

Error returned by the live Sei endpoint.

default

An unexpected error response.

Broadcast a signed transaction

POST
https://sei.nownodes.io/cosmos/tx/v1beta1/txs

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Object containing post data.

Body

application/json

BroadcastTxRequest is the request type for the Cosmos.BroadcastTxRequest RPC method.

tx_bytesstring

tx_bytes is the raw transaction.

modestringBROADCAST_MODE_SYNCBROADCAST_MODE_ASYNCBROADCAST_MODE_UNSPECIFIED

Schema for mode.

Response

200OK

A successful response.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a block with decoded transactions

GET
https://sei.nownodes.io/cosmos/tx/v1beta1/txs/block/{height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the block and paginated decoded transactions at the requested height.

Parameters

heightstring<int64>requiredpath

height is the height of the block to query.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get a transaction by hash

GET
https://sei.nownodes.io/cosmos/tx/v1beta1/txs/{hash}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns transaction details for the specified transaction hash.

Parameters

hashstringrequiredpath

hash is the tx hash to query, encoded as a hex string.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get the height of an applied upgrade

GET
https://sei.nownodes.io/cosmos/upgrade/v1beta1/applied_plan/{name}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the block height at which the specified upgrade plan was applied.

Parameters

namestringrequiredpath

name is the name of the applied plan to query for.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get the upgrade authority

GET
https://sei.nownodes.io/cosmos/upgrade/v1beta1/authority

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the account authorized to schedule software upgrades.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.

Get the scheduled upgrade

GET
https://sei.nownodes.io/cosmos/upgrade/v1beta1/current_plan

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the currently scheduled upgrade plan, if one exists.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Get module consensus versions

GET
https://sei.nownodes.io/cosmos/upgrade/v1beta1/module_versions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the consensus version of each registered module, optionally filtered by module name.

Parameters

module_namestringquery

module_name is a field to query a specific module consensus version from state. Leaving this empty will fetch the full list of module versions from state.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List matching authorizations

GET
https://sei.nownodes.io/cosmos/authz/v1beta1/grants

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns authorizations granted by a granter to a grantee, optionally filtered by message type.

Parameters

granterstringquery

Bech32-encoded address of the account granting authorization.

granteestringquery

grantee is the address of the user being granted an allowance of another user's funds.

msg_type_urlstringquery

Optional, msg_type_url, when set, will query only grants matching given msg type.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

A successful response.

400Bad Request

Error returned by the live Sei endpoint.

default

An unexpected error response.

List authorizations for a grantee

GET
https://sei.nownodes.io/cosmos/authz/v1beta1/grants/grantee/{grantee}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns a list of GrantAuthorization by grantee.

Parameters

granteestringrequiredpath

grantee is the address of the user being granted an allowance of another user's funds.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

List authorizations issued by a granter

GET
https://sei.nownodes.io/cosmos/authz/v1beta1/grants/granter/{granter}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns list of GrantAuthorization, granted by granter.

Parameters

granterstringrequiredpath

Bech32-encoded address of the account granting authorization.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstringquery

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstringquery

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

Object containing parameters data.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Response

200OK

Response returned by the live Sei endpoint.

400Bad Request

Invalid request.

default

An unexpected error response.

Convert a Bech32 address or address bytes

GET
https://sei.nownodes.io/cosmos/auth/v1beta1/bech32/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Converts a Bech32 account address to bytes, or base64-encoded address bytes to a Bech32 account address.

Parameters

addressstringrequiredpath

Bech32 account address or base64-encoded address bytes.

Response

200OK

A successful response.

400Bad Request

Invalid request.

501Not Implemented

Error returned by the live Sei endpoint.

default

An unexpected error response.